Skip to main content
`Ctrl`+`K`

# PetscSectionGetFieldDof

Return the number of degrees of freedom associated with a field on a given point.

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetFieldDof(PetscSection s, PetscInt point, PetscInt field, PetscInt *numDof)

Not Collective

## Input Parameters

- s - the `PetscSection`

- point - the point

- field - the field

## Output Parameter

- numDof - the number of dof

## See Also

PetscSection, `PetscSection`, `PetscSectionSetFieldDof()`, `PetscSectionCreate()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

## Examples

src/ts/tutorials/ex18.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages